{ config, pkgs, ... }:

{
  nixpkgs.config = {
    allowBroken = false;

    packageOverrides = pkgs: rec {
      goPackages = pkgs.go16Packages;

      bluez = pkgs.bluez5;

      #vimPlugins = pkgs.recurseIntoAttrs (pkgs.callPackage /home/steveej/src/github/NixOS/nixpkgs-systemsource/pkgs/misc/vim-plugins { });

      linuxPackages = pkgs.linuxPackages_latest;

      #pythonFull = pkgs.python27.buildEnv.override {
      #  extraLibs = with pkgs.pythonPackages; [];
      #};

    };

    allowUnfree = true;

    chromium = {
      enablePepperFlash = true;
      enablePepperPDF = true;
    };

    firefox = {
      enableGoogleTalkPlugin = true;
      enableAdobeFlash = false;
    };

    pidgin = {
      openssl = true;
      gnutls = true;
    };

# TODO: implement support for this
#    libvirt = {
#      xenSupport = false;
#    };

  };

  imports =
    [
      ../common/pkg/default.nix
      ../common/pkg/neovim.nix
    ];


  environment.systemPackages = with pkgs; [
    androidsdk_4_4

    nixops
    ansible 

    gnupg
    picocom
    xfce.terminal
    xorg.xbacklight
    coreutils
    lsof

    xscreensaver
    firefox-wrapper
    chromium

    qpdfview
    thunderbird
    pidgin
    hexchat
    skype

    x2goclient
    remmina
    teamviewer
    gnome3.dconf # needed by virtmanager
    virtmanager
    linuxPackages.virtualbox
    x11_ssh_askpass

    spotify
    vlc
    audacity
    pavucontrol
    
    gimp
    inkscape
    pdftk

    rkt

    iptables
    nftables
    iperf

    pandoc
    pythonFull
  ];

}
